std::codecvt_base(3)

NAME
std::codecvt_base -

SYNOPSIS

Inherited by std::__codecvt_abstract_base< _InternT, _ExternT, encoding_state >, std::__codecvt_abstract_base< char, char, mbstate_t >, std::__codecvt_abstract_base< char16_t, char, mbstate_t >, std::__codecvt_abstract_base< char32_t, char, mbstate_t >, std::__codecvt_abstract_base< wchar_t, char, mbstate_t >, and std::__codecvt_abstract_base< _InternT, _ExternT, _StateT >.

  Public Types
enum result { ok, partial, error, noconv }

Detailed Description

Empty base class for codecvt facet [22.2.1.5].

Definition at line 46 of file codecvt.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.